function dampedPlotF(handles)
%  plot 3 curves to allow thickening and 
%  demonstrate update of handles structure with guidata

%% set parameters
xmin=0;
xmax=3;
a=1;
Nx=300;

%% tabulate
x=linspace(xmin, xmax, Nx);
y=exp(-x/a).*cos(2*pi*x);
ye=exp(-x/a);
dydx=gradient(y,x(2)-x(1));

% normalize 
dydx=dydx/max(abs(dydx));

%% plot
hLines=plot(handles.plotAxes,x,y,'r',...
                             x,dydx,'b',...
                             x,ye, 'k', x, -ye, 'k');
grid(handles.plotAxes,'on');

%% save line handles in handles structure
handles.Lines=hLines;
guidata(gcf, handles);
